# Record Class LLServerHashedPassword

java.lang.Object
java.lang.Record
com.io7m.looseleaf.server.api.LLServerHashedPassword

Record Components:
  `algorithm` - The password algorithm identifier
  `salt` - The password salt
  `hash` - The password hash

public record LLServerHashedPassword(String algorithm, String salt, String hash) extends Record
A hashed password.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLServerHashedPassword(String algorithm, String salt, String hash)`
  A hashed password.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `algorithm()`
  Returns the value of the `algorithm` record component.
  `LLPassword`
  `asPassword()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `hash()`
  Returns the value of the `hash` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `salt()`
  Returns the value of the `salt` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LLServerHashedPassword

    public LLServerHashedPassword(String algorithm, String salt, String hash)
    A hashed password.
    Parameters:
      `algorithm` - The password algorithm identifier
      `salt` - The password salt
      `hash` - The password hash

- ## Method Details

  - ### asPassword

    public LLPassword asPassword() throws LLPasswordException
    Returns:
      The configuration as a password
    Throws:
      `LLPasswordException` - On errors

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### algorithm

    public String algorithm()
    Returns the value of the `algorithm` record component.
    Returns:
      the value of the `algorithm` record component

  - ### salt

    public String salt()
    Returns the value of the `salt` record component.
    Returns:
      the value of the `salt` record component

  - ### hash

    public String hash()
    Returns the value of the `hash` record component.
    Returns:
      the value of the `hash` record component